from StringIO import StringIO

from Products.CMFCore.utils import getToolByName

from Products.Archetypes.Extensions.utils import install_subskin
from Products.linkpopper.config import PROJECTNAME
from Products.linkpopper.config import product_globals as GLOBALS

def install(self):
    """ External Method to install linkpopper """
    out = StringIO()
    print >> out, "Installation log of %s:" % PROJECTNAME

    portal = getToolByName(self,'portal_url').getPortalObject()

    portal.portal_properties.addPropertySheet('linkpopper', title='Link Popper')
    portal.portal_properties.linkpopper.manage_addProperty('white_list', '', 'lines')
    
    install_subskin(self, out, GLOBALS)

    portal.portal_javascripts.registerScript(
        'linkpopper.js', cookable=False, compression='none')

    return out.getvalue()
